Bug 75941 - EDITING: Incorrect behavior while copying text with manual page breaks
Summary: EDITING: Incorrect behavior while copying text with manual page breaks
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Paste Writer-Page-Break
  Show dependency treegraph
 
Reported: 2014-03-09 06:48 UTC by Luiz Angelo Daros de Luca
Modified: 2022-09-09 03:53 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file (9.06 KB, application/vnd.oasis.opendocument.text)
2020-09-04 20:44 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Luiz Angelo Daros de Luca 2014-03-09 06:48:33 UTC
Hello,

I noticed a strange behavior copying text with manual page breaks. These are the reproduce steps.

1) new doc
2) type "first page"
3) change style to "first page"
4) insert manual page break with style to "index"
5) type "second page"
6) select all, copy
7) new doc
8) paste: only text is pasted, not the page break (problem 1), resulting in a two lines, one page doc.

The single page doc uses style "index".
I tested with more pages, and text and the last manual page break is never copied, even with text after it.

9)  back to first doc
10) insert manual page break with style to "right page"
11) format first page to use 3cm of top margin
12) format second page to use 6cm of top margin
13) format second page to use 9cm of top margin
14) select all, copy
15) new doc
16) paste: first page break is copied but not the second one. Page 1 gets style "right page" (why?!). Second page is "index". No page 3. No visual margin changes.

The first doc style seems to come from the copied last style (problem 2, and it might be related to problem 1)

17) save doc
18) reload doc 
19) margins configurations apears. However, first page still has style "right page", with corresponding margin of 9cm.

Pasted text that brings margins changes does not trigger a page marging recalculation (problem 3).
Operating System: Windows 7
Version: 4.2.1.1 release
Comment 1 sophie 2014-03-10 10:44:46 UTC
I can reproduce the two cases you described with 4.2.2.1 and with 4.1.5.3 under Linux. Set as new and all plateform - Sophie
Comment 2 Joel Madero 2015-05-02 15:41:17 UTC Comment hidden (obsolete)
Comment 3 Gordo 2015-05-12 15:26:29 UTC
Reproducible.

If you add another paragraph (empty or not) after the first paragraph on the last page then all will copy fine.

Windows Vista 64
Version: 4.4.3.2
Build ID: 88805f81e9fe61362df02b9941de8e38a9b5fd16
Comment 4 QA Administrators 2016-09-20 09:41:46 UTC Comment hidden (obsolete)
Comment 5 Luiz Angelo Daros de Luca 2016-12-12 18:51:06 UTC
Still on 5.2.3.3 (Linux x64)
Comment 6 QA Administrators 2018-07-04 02:49:31 UTC Comment hidden (obsolete)
Comment 7 Timur 2018-07-06 10:37:25 UTC
Reproduced with 6.2+.
Looks like that when text is copied from source to target, last paragraph mark of source isn't taken into account and takes target formatting. Bug 68271.
Comment 8 QA Administrators 2019-09-02 09:21:04 UTC Comment hidden (obsolete, spam)
Comment 9 Telesto 2020-09-04 20:44:14 UTC
Created attachment 165157 [details]
Example file
Comment 10 Telesto 2020-09-04 20:45:24 UTC
Also in
LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 11 QA Administrators 2022-09-09 03:53:53 UTC
Dear Luiz Angelo Daros de Luca,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug